Subject: Re: bug#16581: suggested code simplification in dfa.c

From: Aharon Robbins <[email-masked]>
Date: Fri, 31 Jan 2014 11:20:52 +0200

> > I suggest starting with the XOR changes for unibyte locales - they seem
> > (to me) to be good no matter what. And then separately try to deal with
> > the multibyte case.
>
> Unfortunately the changes don't work even for unibyte locales, since 
> unibyte locales can have the same problem, i.e., c != tolower (c) && c 
> != toupper (c).  Admittedly this is rare, but it's possible (users can 
> define their own locales, after all), and fixing the code for the 
> multibyte case will induce similar changes for unibyte, I hope.

I see. OK.

> > And just to increase the need for Aspirin, any idea how regex handles
> > this case?
>
> No idea, sorry.  Rounds of aspirin for everybody!

Well, I am comforted that this has not been a big issue in practice (yet!).

If I get ambitious I will try to look at it; chances are that you, Paul,
will beat me to it.

It's been an interesting discussion, anyway. :-)

Thanks,

Arnold